# List Entity Fields Retrieves information (data type, maximum length, possible values, whether the field is required, etc.) about fields of the specified entity. Endpoint: POST /metadata.describe/{TypeCode} Security: basic, X-PriceFx-jwt ## Path parameters: - `TypeCode` (string, required) Enter the type code of the entity you want to retrieve information for. See the list of Type Codes in the Pricefx Knowledge Base article. Enum: "ACTT", "AI", "AP", "APIK", "BD", "BPT", "BR", "C", "CA", "CAM", "CDESC", "CF", "CFS", "CFT", "CH", "CL", "CLLI", "CLLIAM", "CLR", "CLT", "CN", "CO", "COAM", "COCT", "COCTAM", "COHT", "COHTAM", "COLI", "COR", "CORAM", "COROLI", "CORS", "CORSC", "COT", "CS", "CT", "CTAM", "CTLI", "CTMU", "CTMUI", "CTT", "CTTAM", "CTTREE", "CW", "CX10", "CX20", "CX3", "CX30", "CX50", "CX6", "CX8", "CXAM", "DA", "DB", "DCR", "DCRAM", "DCRI", "DCRL", "DCRMC", "DCRT", "DE", "DI", "DM", "DMDC", "DMDL", "DMDS", "DMF", "DMM", "DMR", "DMT", "DP", "DPR", "DPT", "DREF", "DREG", "EDL", "ET", "EVT", "F", "FE", "FN", "HEVT", "HRT", "HRTAM", "IDC", "IE", "ISH", "JLTV", "JLTV2", "JLTVM", "JST", "LAT", "LT", "LTT", "LTV", "M", "MC", "MLTV", "MLTV2", "MLTV3", "MLTV4", "MLTV5", "MLTV6", "MLTVM", "MN", "MO", "MPL", "MPLAM", "MPLI", "MPLIT", "MPLT", "MR", "MRAM", "MT", "NT", "P", "PAM", "PBOME", "PCOMP", "PCOMPCO", "PCW", "PDESC", "PG", "PGI", "PGIM", "PGT", "PH", "PL", "PLI", "PLIM", "PLPGTT", "PLT", "PR", "PRAM", "PREF", "PT", "PWH", "PX10", "PX20", "PX3", "PX30", "PX50", "PX6", "PX8", "PXAM", "PXREF", "PYR", "PYRAM", "Q", "QAM", "QLI", "QMU", "QMUI", "QT", "QTT", "QTTAM", "R", "RAT", "RATM", "RBA", "RBAAM", "RBALI", "RBAROLI", "RBAT", "RBT", "RBTAM", "RR", "RRAM", "RRS", "RRSC", "RT", "SAT", "SC", "SCN", "SCNAM", "SCT", "SIAM", "SIM", "SIMI", "SL", "SLAM", "SX10", "SX20", "SX3", "SX30", "SX50", "SX6", "SX8", "SXAM", "TFA", "TODO", "U", "UG", "US", "W", "WD", "WF", "WFE", "XPGI", "XPLI", "XSIMI" ## Query parameters: - `name` (string) The name of the PX or CX category. - `lookupTableId` (string) The ID of the Company Parameters table when retrieving MLTV (MatrixLookupTableValue). ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.name` (string) The name of the entity. - `response.data.typeCode` (string) The type code of the entity. - `response.data.massEditable` (boolean) When set to true, the multiple records at once can be edited in this entity. - `response.data.bulkLoadable` (boolean) When set to true, a bulk data can be loaded to the entity using, for example, a /loaddata/{TypeCode} endpoint. - `response.data.businessKey` (array) Fields that make up a business key. - `response.data.fields` (object) Entity fields and corresponding properties. - `response.status` (number)